{{- if .Values.serviceMonitor.enabled -}}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "chart.fullname" . }}
  labels:
    release: kube-prometheus-stack
  {{- include "chart.labels" . | nindent 4 }}
spec:
  endpoints:
    - interval: 15s
      path: {{ .Values.serviceMonitor.metricsPath }}
      targetPort: 8080
  namespaceSelector:
    matchNames:
      - {{ .Release.Namespace }}
  selector:
    matchLabels:
      {{- include "chart.labels" . | nindent 6 }}
{{- end }}